summaryrefslogtreecommitdiffstats
path: root/development/argouml/argouml.SlackBuild
diff options
context:
space:
mode:
author Robert Allen2010-05-12 23:28:34 +0200
committer David Somero2010-05-12 23:28:34 +0200
commit68fedddf38f95a5c03ec69f940c706a098bafefe (patch)
treebd384243c4aaa38dd8183b25cd10887b325aadcd /development/argouml/argouml.SlackBuild
parent03981ef99c22dafc6c53a9b5b70d7ee1105e8faf (diff)
downloadslackbuilds-68fedddf38f95a5c03ec69f940c706a098bafefe.tar.gz
development/argouml: Added to 12.2 repository
Diffstat (limited to 'development/argouml/argouml.SlackBuild')
-rw-r--r--development/argouml/argouml.SlackBuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/development/argouml/argouml.SlackBuild b/development/argouml/argouml.SlackBuild
new file mode 100644
index 0000000000..73a6dea467
--- /dev/null
+++ b/development/argouml/argouml.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Copyright 2009 Robert Allen - slacker@slaphappygeeks.com
+# All rights reserved including Creator Endowed Unalienable Rights.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=argouml
+VERSION=${VERSION:-0.28}
+ARCH=i486
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG/usr/lib $OUTPUT
+tar xvf $CWD/ArgoUML-${VERSION}.tar.gz -C $PKG/usr/lib
+
+# Add a convenience symlink to keep path simple
+( cd $PKG/usr/lib ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+# Symlink the executable to /usr/bin ; no need for a wrapper, as upstream
+# handles that quite well in their launcher script
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -s /usr/lib/$PRGNAM/argouml.sh argouml )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../lib/$PRGNAM-$VERSION/README.txt .
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+chown -R root:root .
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz